/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.ParadaSecuencia;
import com.rjconsultores.ventaboletos.entidad.Via;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderCatalogoDeRutasSecuencia implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ParadaSecuencia ps = (ParadaSecuencia) o;

        Listcell lc = new Listcell(ps.getSecuencia().toString());
        lc.setParent(lstm);

        Parada parada = ps.getParada();
        if (parada != null) {
            lc = new Listcell(parada.getCveparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Via via = ps.getVia();
        if (via != null) {
            lc = new Listcell(via.getNombvia());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", ps);
    }
}
