package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;

public class RenderOrgaoConcedente implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		OrgaoConcedente orgaoConcedente = (OrgaoConcedente) o;

		Listcell lc = new Listcell(orgaoConcedente.getOrgaoConcedenteId().toString());
		lc.setParent(lstm);

		lc = new Listcell(orgaoConcedente.getDescOrgao());
		lc.setParent(lstm);

		if (orgaoConcedente.getIndDefaultSeguro()) {
			lc = new Listcell("SIM");
		} else {
			lc = new Listcell("NO");
		}
		lc.setParent(lstm);

		if (orgaoConcedente.getIndSubSeguro()) {
			lc = new Listcell("SIM");
		} else {
			lc = new Listcell("NO");
		}
		lc.setParent(lstm);

		lstm.setAttribute("data", orgaoConcedente);
	}
}
