/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.gui.controladores.catalogos;

import com.rjconsultores.ventaboletos.entidad.Ciudad;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Moneda;
import com.rjconsultores.ventaboletos.entidad.Nodo;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.entidad.TipoPuntoVenta;
import com.rjconsultores.ventaboletos.service.CiudadService;
import com.rjconsultores.ventaboletos.service.EmpresaService;
import com.rjconsultores.ventaboletos.service.MonedaService;
import com.rjconsultores.ventaboletos.service.NodoService;
import com.rjconsultores.ventaboletos.service.TipoPuntoVentaService;
import com.rjconsultores.ventaboletos.web.utilerias.MyGenericForwardComposer;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;
import com.rjconsultores.ventaboletos.web.utilerias.paginacion.HibernateSearchObject;
import com.rjconsultores.ventaboletos.web.utilerias.paginacion.PagedListWrapper;
import com.rjconsultores.ventaboletos.web.utilerias.render.RenderPuntoVenta;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.zkoss.util.resource.Labels;
import org.zkoss.zhtml.Messagebox;
import org.zkoss.zk.ui.Component;
import org.zkoss.zk.ui.event.Event;
import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Combobox;
import org.zkoss.zul.Comboitem;
import org.zkoss.zul.Paging;
import org.zkoss.zul.Radio;
import org.zkoss.zul.Textbox;

/**
 *
 * @author Rafius
 */
@Controller("busquedaPuntoVentaController")
@Scope("prototype")
public class BusquedaPuntoVentaController extends MyGenericForwardComposer {

    @Autowired
    private transient PagedListWrapper<PuntoVenta> plwPuntoVenta;
    @Autowired
    private EmpresaService empresaService;
    @Autowired
    private TipoPuntoVentaService tipoPuntoVentaService;
    @Autowired
    private MonedaService monedaService;
    @Autowired
    private NodoService nodoService;
    private MyListbox puntoVentaList;
    private Paging pagingPuntoVenta;
    private Textbox txtNombre;
    private Textbox txtCalle;
    private Textbox txtNumero;
    private Textbox txtColonia;
    private Textbox txtTelefonoUno;
    private Textbox txtTelefonoDos;
    private List<Empresa> lsEmpresas;
    private List<TipoPuntoVenta> lsTipoPuntoVenta;
    private List<Moneda> lsMoneda;
    private List<Nodo> lsNodos;
    private Combobox cmbEmpresa;
    private Combobox cmbTipoPontoVenta;
    private Combobox cmbMoneda;
    private Combobox cmbNodo;
    private Radio radAprobacionAutorizado;
    private Radio radAprobacionLatente;

      public Radio getRadAprobacionAutorizado() {
        return radAprobacionAutorizado;
    }

    public void setRadAprobacionAutorizado(Radio radAprobacionAutorizado) {
        this.radAprobacionAutorizado = radAprobacionAutorizado;
    }

    public Radio getRadAprobacionLatente() {
        return radAprobacionLatente;
    }

    public void setRadAprobacionLatente(Radio radAprobacionLatente) {
        this.radAprobacionLatente = radAprobacionLatente;
    }

    public Combobox getCmbEmpresa() {
        return cmbEmpresa;
    }

    public void setCmbEmpresa(Combobox cmbEmpresa) {
        this.cmbEmpresa = cmbEmpresa;
    }

    public Combobox getCmbMoneda() {
        return cmbMoneda;
    }

    public void setCmbMoneda(Combobox cmbMoneda) {
        this.cmbMoneda = cmbMoneda;
    }

    public Combobox getCmbNodo() {
        return cmbNodo;
    }

    public void setCmbNodo(Combobox cmbNodo) {
        this.cmbNodo = cmbNodo;
    }

    public Combobox getCmbTipoPontoVenta() {
        return cmbTipoPontoVenta;
    }

    public void setCmbTipoPontoVenta(Combobox cmbTipoPontoVenta) {
        this.cmbTipoPontoVenta = cmbTipoPontoVenta;
    }

    public Textbox getTxtNombre() {
        return txtNombre;
    }

    public void setTxtNombre(Textbox txtNombre) {
        this.txtNombre = txtNombre;
    }

    public Paging getPagingPuntoVenta() {
        return pagingPuntoVenta;
    }

    public void setPagingPuntoVenta(Paging pagingPuntoVenta) {
        this.pagingPuntoVenta = pagingPuntoVenta;
    }

    public MyListbox getPuntoVentaList() {
        return puntoVentaList;
    }

    public void setPuntoVentaList(MyListbox puntoVentaList) {
        this.puntoVentaList = puntoVentaList;
    }

    public PagedListWrapper<PuntoVenta> getPlwPuntoVenta() {
        return plwPuntoVenta;
    }

    public void setPlwPuntoVenta(PagedListWrapper<PuntoVenta> plwPuntoVenta) {
        this.plwPuntoVenta = plwPuntoVenta;
    }

    public void onClick$btnPesquisa(Event ev) throws InterruptedException {
        refreshLista();
    }

    public void onClick$btnRefresh(Event ev) {
        refreshLista();
    }

    public void onClick$btnNovo(Event ev) {
        verPeriodo(new PuntoVenta());
    }

    public List<Empresa> getLsEmpresas() {
        return lsEmpresas;
    }

    public void setLsEmpresas(List<Empresa> lsEmpresas) {
        this.lsEmpresas = lsEmpresas;
    }

    public List<Moneda> getLsMoneda() {
        return lsMoneda;
    }

    public void setLsMoneda(List<Moneda> lsMoneda) {
        this.lsMoneda = lsMoneda;
    }

    public List<Nodo> getLsNodos() {
        return lsNodos;
    }

    public void setLsNodos(List<Nodo> lsNodos) {
        this.lsNodos = lsNodos;
    }

    public List<TipoPuntoVenta> getLsTipoPuntoVenta() {
        return lsTipoPuntoVenta;
    }

    public void setLsTipoPuntoVenta(List<TipoPuntoVenta> lsTipoPuntoVenta) {
        this.lsTipoPuntoVenta = lsTipoPuntoVenta;
    }

    @Override
    public void doAfterCompose(Component comp) throws Exception {
        super.doAfterCompose(comp);

        lsEmpresas = empresaService.obtenerIndTipo1();
        lsTipoPuntoVenta = tipoPuntoVentaService.obtenerTodos();
        lsMoneda = monedaService.obtenerTodos();
        lsNodos = nodoService.obtenerTodos();

        puntoVentaList.setItemRenderer(new RenderPuntoVenta());
        puntoVentaList.addEventListener("onDoubleClick", new EventListener() {

            @Override
            public void onEvent(Event event) throws Exception {
                PuntoVenta c = (PuntoVenta) puntoVentaList.getSelected();
                verPeriodo(c);
            }
        });

        refreshLista();
        txtNombre.focus();
    }

    private void verPeriodo(PuntoVenta c) {
        if (c == null) {
            return;
        }

        Map args = new HashMap();
        args.put("puntoVenta", c);
        args.put("puntoVentaList", puntoVentaList);

        openWindow("/gui/catalogos/editarPuntoVenta.zul",
                Labels.getLabel("editarPuntoVentaController.window.title"), args, MODAL);
    }

    private void refreshLista() {
        HibernateSearchObject<PuntoVenta> claseServicioBusqueda =
                new HibernateSearchObject<PuntoVenta>(PuntoVenta.class,
                pagingPuntoVenta.getPageSize());

        claseServicioBusqueda.addFilterLike("nombpuntoventa",
                "%" + txtNombre.getText().trim().concat("%"));

        Comboitem itemEmpresa = cmbEmpresa.getSelectedItem();
        Comboitem itemTipoPontoVenta = cmbTipoPontoVenta.getSelectedItem();
        Comboitem itemMoneda = cmbMoneda.getSelectedItem();
        Comboitem itemNodo = cmbNodo.getSelectedItem();

        Empresa empresa;
        TipoPuntoVenta tipoPontoVenta;
        Moneda moneda;
        Nodo nodo;
        Ciudad ciudad;
        String statusAprobacion = null;

        if (radAprobacionAutorizado.isChecked()) {
            statusAprobacion = "A";
        } else if (radAprobacionLatente.isChecked()) {
            statusAprobacion = "L";
        }

        if (statusAprobacion != null) {
            claseServicioBusqueda.addFilterEqual("statusaprobacion", statusAprobacion);
        }

        if (itemEmpresa != null) {
            empresa = (Empresa) itemEmpresa.getValue();
            claseServicioBusqueda.addFilterEqual("empresa", empresa);
        }

        if (itemTipoPontoVenta != null) {
            tipoPontoVenta = (TipoPuntoVenta) itemTipoPontoVenta.getValue();
            claseServicioBusqueda.addFilterEqual("tipoPuntoVenta", tipoPontoVenta);
        }

        if (itemMoneda != null) {
            moneda = (Moneda) itemMoneda.getValue();
            claseServicioBusqueda.addFilterEqual("moneda", moneda);
        }

        if (itemNodo != null) {
            nodo = (Nodo) itemNodo.getValue();
            claseServicioBusqueda.addFilterEqual("nodo", nodo);
        }

        if (!txtCalle.getText().isEmpty()) {
            claseServicioBusqueda.addFilterLike("direccioncalle", txtCalle.getText());
        }

        if (!txtNumero.getText().isEmpty()) {
            claseServicioBusqueda.addFilterLike("direccionnumero", txtNumero.getText());
        }

        if (!txtColonia.getText().isEmpty()) {
            claseServicioBusqueda.addFilterLike("direccioncolonia", txtColonia.getText());
        }

        if (!txtTelefonoUno.getText().isEmpty()) {
            claseServicioBusqueda.addFilterLike("numtelefonouno", txtTelefonoUno.getText());
        }

        if (!txtTelefonoDos.getText().isEmpty()) {
            claseServicioBusqueda.addFilterLike("numtelefonodos", txtTelefonoDos.getText());
        }

        claseServicioBusqueda.addFilterEqual("activo", Boolean.TRUE);
        claseServicioBusqueda.addSortAsc("nombpuntoventa");
        claseServicioBusqueda.addFilterNotEqual("puntoventaId", -1);

        plwPuntoVenta.init(claseServicioBusqueda, puntoVentaList, pagingPuntoVenta);

        if (puntoVentaList.getData().length == 0) {
            try {
                Messagebox.show(Labels.getLabel("MSG.ningunRegistro"),
                        Labels.getLabel("busquedaPuntoVentaController.window.title"),
                        Messagebox.OK, Messagebox.INFORMATION);
            } catch (InterruptedException ex) {
            }
        }
    }
}
