/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.gui.controladores.recaudacion;

import com.rjconsultores.ventaboletos.entidad.Usuario;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import com.rjconsultores.ventaboletos.web.utilerias.MyGenericForwardComposer;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.zkoss.zk.ui.Component;
import org.zkoss.zul.Label;

/**
 *
 * @author Administrador
 */
@Controller("aberturaTurnoRecaudacionController")
@Scope("prototype")
public class AberturaTurnoRecaudacionController extends MyGenericForwardComposer {

    private Usuario usuarioLogado;
    private Label lblRecaudador;

    public Label getLblRecaudador() {
        return lblRecaudador;
    }

    public void setLblRecaudador(Label lblRecaudador) {
        this.lblRecaudador = lblRecaudador;
    }

    @Override
    public void doAfterCompose(Component comp) throws Exception {
        usuarioLogado = UsuarioLogado.getUsuarioLogado();

        super.doAfterCompose(comp);

        if (usuarioLogado != null) {
            lblRecaudador.setValue(usuarioLogado.getName());
        } else {
            alert("ERRO DE LOGIN");

            closeWindow();
        }
    }
}
