/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Ciudad;
import com.rjconsultores.ventaboletos.utilerias.ApplicationProperties;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author MCosso
 */
public class RenderCiudad implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Ciudad ciudad = (Ciudad) o;

        Listcell lc = new Listcell();

        lc = new Listcell(ciudad.getCiudadId().toString() == null ? "-" : ciudad.getCiudadId().toString());
        lc.setParent(lstm);

        lc = new Listcell(ciudad.getNombciudad() == null ? "-" : ciudad.getNombciudad());
        lc.setParent(lstm);

        lc = new Listcell(ciudad.getEstado() == null ? "-" : ciudad.getEstado().getNombestado());
        lc.setParent(lstm);

        lc = new Listcell(ciudad.getPlaza() == null ? "-" : ciudad.getPlaza().getNombplaza());
        lc.setParent(lstm);

        if (ciudad.getZonaHoraria() != null) {
            lc = new Listcell(ciudad.getZonaHoraria().toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        if (ApplicationProperties.getInstance().mostrarEquivalencia()) {
            lc = new Listcell(ciudad.getEquivalenciaId() == null ? "-" : ciudad.getEquivalenciaId());
            lc.setParent(lstm);
        }

        lstm.setAttribute("data", ciudad);
    }
}
