/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.DecimalFormat;
import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Tarifa;

/**
 *
 * @author rodrigo
 */
public class RenderTarifa implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Tarifa t = (Tarifa) o;
        SimpleDateFormat formatoData = new SimpleDateFormat("dd/MM/yyyy");
        DecimalFormat df = new DecimalFormat("###,###,##0.00", new java.text.DecimalFormatSymbols(java.util.Locale.US));

        Listcell lc = new Listcell(t.getTarifaId().toString());
        lc.setParent(lstm);

        if (t.getPrecio() != null) {
            //lc = new Listcell(t.getPrecio().setScale(2).toString());
            lc = new Listcell(df.format(t.getPrecio()));
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        if (t.getPreciooriginal() != null) {
            //lc = new Listcell(t.getPreciooriginal().setScale(2).toString());
            lc = new Listcell(df.format(t.getPreciooriginal()));
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        if (t.getStatustarifa() != null) {
            String status;
            if (t.getStatustarifa().equals("A")) {
                status = "Autorizado";
            } else {
                status = "Latente";
            }
            lc = new Listcell(status);
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);


        if (t.getTramo() != null) {
            lc = new Listcell(t.getTramo().getOrigem().getDescparada());
            lc.setParent(lstm);
            lc = new Listcell(t.getTramo().getDestino().getDescparada());
            lc.setParent(lstm);
            lc = new Listcell(t.getTramo().getVia().getNombvia());
            lc.setParent(lstm);
        } else {
            lc = new Listcell("");
            lc.setParent(lstm);
            lc = new Listcell("");
            lc.setParent(lstm);
            lc = new Listcell("");
            lc.setParent(lstm);
        }



        if (t.getMarca() != null) {
            lc = new Listcell(t.getMarca().getDescmarca());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        if (t.getVigenciaTarifa() != null) {
            String vigencia = formatoData.format(t.getVigenciaTarifa().getFeciniciovigencia()) + " - "
                    + formatoData.format(t.getVigenciaTarifa().getFecfinvigencia());
            lc = new Listcell(vigencia);
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        if (t.getClaseServicio() != null) {
            lc = new Listcell(t.getClaseServicio().getDescclase());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        if (t.getMoneda() != null) {
            lc = new Listcell(t.getMoneda().getDescmoneda());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);



        lstm.setAttribute("data", t);
    }
}
